## org.eclipse.jst.jsf.designtime.context
Interface IDTExternalContext

All Known Implementing Classes:
  AbstractDTExternalContext, DTJSPExternalContext

    public interface IDTExternalContext

Interface that must be implemented by all design time external contexts Clients must not implement or sub-class. Sub-class AbstractDTExternalContext instead.

Method Summary
`java.util.Map<java.lang.String,ISymbol>` `getApplicationMap()`
`java.util.Map<java.lang.String,ISymbol>` `getMapForScope(int scopeMask)`
`java.util.Map<java.lang.String,ISymbol>` `getNoneMap()`
`java.lang.String` `getRequestContextPath()` Servlet 2.3_SRV.4.4: The context path of the application.
`java.util.Map<java.lang.String,ISymbol>` `getRequestMap()`
`java.util.Map<java.lang.String,ISymbol>` `getSessionMap()`

Method Detail

### getMapForScope

    java.util.Map<java.lang.String,ISymbol> getMapForScope(int scopeMask)

  Parameters:
    `scopeMask` - -- the scope for which to return the symbol map
  Returns:
    a map of ISymbols representing the currently available scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getRequestMap

    java.util.Map<java.lang.String,ISymbol> getRequestMap()

  Returns:
    a map of ISymbols representing the currently available request scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getSessionMap

    java.util.Map<java.lang.String,ISymbol> getSessionMap()

  Returns:
    a map of ISymbols representing the currently available session scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getApplicationMap

    java.util.Map<java.lang.String,ISymbol> getApplicationMap()

  Returns:
    a map of ISymbols representing the currently available application scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getNoneMap

    java.util.Map<java.lang.String,ISymbol> getNoneMap()

  Returns:
    a map of ISymbols representing the currently available none scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getRequestContextPath

    java.lang.String getRequestContextPath()

  Servlet 2.3_SRV.4.4: The context path of the application.

  Returns:
    the request context path